Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 1671)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 1683)
@@ -41,4 +41,18 @@
 }
 
+vertex_program TexturedVS hlsl
+{
+	source textured.hlsl
+	entry_point vs
+	target vs_2_0
+} 
+
+fragment_program TexturedPS hlsl
+{
+	source textured.hlsl
+	entry_point ps
+	target ps_3_0
+} 
+
 material Examples/MorningSkyBox
 {
@@ -47,10 +61,18 @@
 		pass
 		{
-			lighting off
+			vertex_program_ref TexturedVS
+			{       
+				param_named_auto worldViewProj worldviewproj_matrix	
+			} 
+			fragment_program_ref TexturedPS
+			{ 
+			
+			}
 			depth_write off
 
 			texture_unit
 			{
-				cubic_texture morning.jpg separateUV
+				cubic_texture Forest.dds separateUV
+				//cubic_texture morning.jpg separateUV
 				tex_address_mode clamp
 			}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 1629)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 1683)
@@ -44,4 +44,5 @@
 		{
 			texture falt2.tga
+			//texture rnl_cross.hdr
 		}
 			 
@@ -110,4 +111,17 @@
 }
 
+vertex_program KuppolafalVS hlsl
+{
+	source kupola.hlsl
+	entry_point vs
+	target vs_2_0
+} 
+
+fragment_program KuppolafalPS hlsl
+{
+	source kupola.hlsl
+	entry_point ps
+	target ps_3_0
+} 
 
 material kupolafal_low
@@ -117,9 +131,9 @@
    { 
       pass 
-      { 		 
-		
+      { 	
+				
 	    texture_unit
 		{
-			texture falt2.tga
+			texture falt2.tga			
 		}
 		
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Glow.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Glow.material	(revision 1611)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Glow.material	(revision 1683)
@@ -50,7 +50,7 @@
 		param_named_auto width viewport_width 	
 	        param_named_auto height viewport_height
-		//param_named cutValue float 10.0
-		param_named cutValue float 10.5
-		param_named timeBlur float 0.5
+		param_named cutValue float 10.0
+		//param_named cutValue float 4.5
+		param_named timeBlur float 0.4
 	        
          }
@@ -107,30 +107,58 @@
 			param_named_auto width viewport_width 	
 	        param_named_auto height viewport_height 
+	        param_named Stretch float 1.5
+	        //param_named timeBlur float 0.5
+         }
+        texture_unit
+		 {
+		    tex_address_mode mirror 
+			texture rockwall.tga		
+		 }
+		 	
+      }
+   }
+}
+
+material GameTools/GlowBlurV
+{
+	technique 
+   { 
+   	pass 
+      {
+		vertex_program_ref GameTools/PostProc1_VS
+         {       
+         } 
+		fragment_program_ref GameTools/GlowBlurV_PS
+         { 
+			param_named_auto width viewport_width 	
+	        param_named_auto height viewport_height 
+	        param_named Stretch float 1.5
+	        // param_named timeBlur float 0.5
+         }
+        texture_unit
+		 {
+		    tex_address_mode mirror 
+			texture rockwall.tga		
+		 }		 
+      }
+   }
+}
+
+material GameTools/GlowBlurHTB
+{
+   technique 
+   { 
+   	pass 
+      {
+        scene_blend alpha_blend
+		vertex_program_ref GameTools/PostProc1_VS
+         {       
+         } 
+		fragment_program_ref GameTools/GlowBlurH_PS
+         { 
+			param_named_auto width viewport_width 	
+	        param_named_auto height viewport_height 
 	        param_named Stretch float 1.2
-         }
-        texture_unit
-		 {
-		    tex_address_mode mirror 
-			texture rockwall.tga		
-		 }
-		 	
-      }
-   }
-}
-
-material GameTools/GlowBlurV
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/GlowBlurV_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        param_named Stretch float 1.2
+	         param_named timeBlur float 0.025
          }
         texture_unit
@@ -226,5 +254,10 @@
 			texture rockwall.tga		
 		 }
-      }
-   }
-}
+		  texture_unit
+		 {
+		   // filtering none
+			texture rockwall.tga		
+		 }
+      }
+   }
+}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_ToneMap.compositor
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_ToneMap.compositor	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_ToneMap.compositor	(revision 1683)
@@ -7,9 +7,12 @@
         texture rt0 256 256 PF_FLOAT16_RGBA        
         texture rt1 256 256 PF_FLOAT16_RGBA
+        texture rt2 128 128 PF_FLOAT16_RGBA
+        texture rt3 32 32 PF_FLOAT16_RGBA
+        texture rt4 8  8  PF_FLOAT16_RGBA
+        texture rt5 2  2  PF_FLOAT16_RGBA
         
         target scene
         {
-            // Render output from previous compositor (or original scene)
-            input previous
+            input previous		 
         }
         target luminance
@@ -43,4 +46,60 @@
 		} 
 		
+		target rt2
+        {
+            input none
+            pass render_quad
+            {
+               material GameTools/GlowBlurV
+                input 0 rt1			    
+            }
+		} 
+		
+		target rt3
+        {
+            input none
+            pass render_quad
+            {
+               material GameTools/GlowBlurH
+                input 0 rt2			    
+            }
+		} 
+		
+		target rt4
+        {
+            input none
+            pass render_quad
+            {
+               material GameTools/GlowBlurV
+                input 0 rt3			    
+            }
+		} 
+		
+		target rt5
+		{
+			input none
+			only_initial on
+			pass clear
+			{
+							
+			}
+		}
+		
+		target rt5
+        {
+            input none            
+            
+            pass render_quad
+            {
+	           clear
+	           {
+	            buffers depth
+	           }
+
+               material GameTools/GlowBlurHTB
+                input 0 rt4			    
+            }
+		} 
+		
         target_output
         {
@@ -51,5 +110,6 @@
                 input 0 scene
                 input 1 rt1
-				input 2 luminance				
+				input 2 luminance
+				input 3 rt5			
             }
         }
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_PostProc.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_PostProc.hlsl	(revision 1282)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_PostProc.hlsl	(revision 1683)
@@ -83,6 +83,6 @@
 {	
 	IN.texCoord += float2(0.5/width, 0.5/height);
-	/*float intens = length(tex2D(Texture,IN.texCoord ).rgb) / sqrt(3.0);
-	return float4(intens,intens,intens,1);*/
+	//float intens = length(tex2D(Texture,IN.texCoord ).rgb) / sqrt(3.0);
+	//return float4(intens,intens,intens,1);
 	//return 1;
 	return tex2D(Texture,IN.texCoord ) + tex2D(GlowTexture,IN.texCoord );
@@ -95,19 +95,25 @@
 		uniform sampler2D Scene: register(s0),
 		uniform sampler2D AvrLuminanceTexture: register(s1),
-		uniform sampler2D LuminanceTexture: register(s2)
+		uniform sampler2D LuminanceTexture: register(s2),
+		uniform sampler2D GlobalLuminanceTexture: register(s3)
 		 ):COLOR
 {	
 	IN.texCoord += half2(0.5/width, 0.5/height);
 	
+	float gLum = tex2D(GlobalLuminanceTexture, float2(0.5,0.5)).r;
+	gLum = max(gLum, 0.31415);
+	
 	// Automatic key calculation
 	//half Key = 1.03f - 2.0f / (2.0f + log10(tex2D(AvrLuminanceTexture, IN.texCoord).r + 1.0f));	
-	half Key = 1 / (tex2D(AvrLuminanceTexture, IN.texCoord).r / 1 + tex2D(AvrLuminanceTexture, IN.texCoord).r);
+	//half Key = 1 / (tex2D(AvrLuminanceTexture, IN.texCoord).r / 1 + tex2D(AvrLuminanceTexture, IN.texCoord).r);
 	//return 1 / Key;
 	// Relative luminance
-	half RelLum =  Key* tex2D(LuminanceTexture, IN.texCoord).r / 
-						  tex2D(AvrLuminanceTexture, IN.texCoord).r;
+	//half RelLum =  Key* tex2D(LuminanceTexture, IN.texCoord).r / 
+	//					  tex2D(AvrLuminanceTexture, IN.texCoord).r;
+	half Key = 1.03f - 2.0f / (2.0f + log10(gLum + 1.0f));	
+	half RelLum =  Key* tex2D(LuminanceTexture, IN.texCoord).r / gLum;
 	half Lum = RelLum / (1 + RelLum);
 	// Color weghting
-	half4 Color = tex2D(Scene, IN.texCoord) * Lum;
+	half4 Color = tex2D(Scene, IN.texCoord) /  gLum * 0.4f;
 	// Gamma correction
 	
@@ -121,4 +127,5 @@
 		uniform float width,
 		uniform float height,
+		uniform float timeBlur,
 		uniform sampler2D Texture: register(s0)) : COLOR {
 	float2 tex0 = IN.texCoord + float2(0.5/width, 0.5/height);
@@ -137,5 +144,5 @@
 					 tex2D(Texture, float2(tex0.x+(2.0*Stretch/width), tex0.y));
 
-	return texLookUp_h / 5.0 ;
+	return float4(texLookUp_h.rgb / 5.0, timeBlur) ;
 	//return texLookUp_h /5;
 }
@@ -145,4 +152,5 @@
 		uniform float width,
 		uniform float height,
+		uniform float timeBlur,
 		uniform sampler2D Texture: register(s0)) : COLOR {
 	float2 tex0 = IN.texCoord + float2(0.5/width, 0.5/height);
@@ -161,5 +169,5 @@
 					 tex2D(Texture, float2(tex0.x, tex0.y+(2*Stretch/height)));
 	
-	return texLookUp_v / 5.0;
+	return float4(texLookUp_v.rgb / 5.0, timeBlur);
 }
 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/kupola.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/kupola.hlsl	(revision 1683)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/kupola.hlsl	(revision 1683)
@@ -0,0 +1,26 @@
+
+
+struct VertOut
+{
+float4 hPosition :POSITION;
+float2 texCoord :TEXCOORD;
+};
+
+VertOut vs(float4 position:POSITION,
+	   float4 texCoord :TEXCOORD,
+	   uniform float4x4 worldViewProj)
+{
+VertOut OUT;
+OUT.hPosition = mul(worldViewProj, position);
+OUT.texCoord = texCoord;
+return OUT;
+
+}
+
+float4 ps(VertOut IN,
+		uniform sampler2D colorTex):COLOR
+{
+float4 Color;
+Color = tex2D(colorTex, IN.texCoord) ;
+return Color;
+}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Diffuse.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Diffuse.hlsl	(revision 1671)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Diffuse.hlsl	(revision 1683)
@@ -332,5 +332,5 @@
 	float width2 = width * 2;
 	float d; 
-	
+	/*
 	for (float x = 0.5; x < M; x++)			
 	 for (float y = 0.5; y < M; y++)											
@@ -452,5 +452,5 @@
 		
 		I += 0.5 * Le * GetContibution( L, L1, L2, L3, L4, pos, N, DistanceEnvMapSampler);				
-	 }	
+	 }	*/
 	 float kd = 0.3;																		
 	return kd * I;
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/textured.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/textured.hlsl	(revision 1683)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/textured.hlsl	(revision 1683)
@@ -0,0 +1,26 @@
+
+
+struct VertOut
+{
+float4 hPosition :POSITION;
+float2 texCoord :TEXCOORD;
+};
+
+VertOut vs(float4 position:POSITION,
+	   float4 texCoord :TEXCOORD,
+	   uniform float4x4 worldViewProj)
+{
+VertOut OUT;
+OUT.hPosition = mul(worldViewProj, position);
+OUT.texCoord = texCoord;
+return OUT;
+
+}
+
+float4 ps(VertOut IN,
+		uniform sampler2D colorTex):COLOR
+{
+float4 Color;
+Color = tex2D(colorTex, IN.texCoord) * 10.0;
+return Color;
+}
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/scripts/GameToolsParticleDemo.vcproj
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/scripts/GameToolsParticleDemo.vcproj	(revision 807)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/scripts/GameToolsParticleDemo.vcproj	(revision 1683)
@@ -2,12 +2,17 @@
 <VisualStudioProject
 	ProjectType="Visual C++"
-	Version="7.10"
+	Version="8,00"
 	Name="GameToolsParticleDemo"
-	ProjectGUID="{09F9E809-02CF-4926-8203-2B9C02FBD916}"
-	Keyword="Win32Proj">
+	ProjectGUID="{03012D49-293B-4427-BC47-0B6061EF5543}"
+	RootNamespace="GameToolsParticleDemo"
+	Keyword="Win32Proj"
+	>
 	<Platforms>
 		<Platform
-			Name="Win32"/>
+			Name="Win32"
+		/>
 	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
 	<Configurations>
 		<Configuration
@@ -16,21 +21,44 @@
 			IntermediateDirectory="..\obj\$(ConfigurationName)"
 			ConfigurationType="1"
-			CharacterSet="2">
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				ImproveFloatingPointConsistency="TRUE"
 				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
-				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
-				MinimalRebuild="TRUE"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE;GTP_VISIBILITY_MODIFIED_OGRE"
+				MinimalRebuild="true"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="3"
-				EnableFunctionLevelLinking="TRUE"
+				EnableFunctionLevelLinking="true"
 				UsePrecompiledHeader="0"
 				WarningLevel="3"
-				Detect64BitPortabilityProblems="TRUE"
-				DebugInformationFormat="4"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
 			<Tool
 				Name="VCLinkerTool"
@@ -40,30 +68,35 @@
 				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Debug;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Debug"
 				IgnoreDefaultLibraryNames=""
-				GenerateDebugInformation="TRUE"
+				GenerateDebugInformation="true"
 				ProgramDatabaseFile="$(OutDir)/proba.pdb"
 				SubSystem="2"
 				OptimizeForWindows98="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"/>
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
 			<Tool
 				Name="VCPostBuildEventTool"
-				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"
+			/>
 		</Configuration>
 		<Configuration
@@ -72,31 +105,52 @@
 			IntermediateDirectory="..\obj\$(ConfigurationName)"
 			ConfigurationType="1"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
 			CharacterSet="2"
-			WholeProgramOptimization="TRUE">
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="2"
-				GlobalOptimizations="TRUE"
 				InlineFunctionExpansion="1"
-				EnableIntrinsicFunctions="TRUE"
-				ImproveFloatingPointConsistency="TRUE"
+				EnableIntrinsicFunctions="true"
 				FavorSizeOrSpeed="1"
-				OmitFramePointers="TRUE"
-				EnableFiberSafeOptimizations="FALSE"
-				OptimizeForProcessor="2"
-				OptimizeForWindowsApplication="TRUE"
+				OmitFramePointers="true"
+				EnableFiberSafeOptimizations="false"
 				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
-				StringPooling="TRUE"
-				MinimalRebuild="TRUE"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE;GTP_VISIBILITY_MODIFIED_OGRE"
+				StringPooling="true"
+				MinimalRebuild="true"
 				RuntimeLibrary="2"
-				BufferSecurityCheck="FALSE"
-				EnableFunctionLevelLinking="TRUE"
+				BufferSecurityCheck="false"
+				EnableFunctionLevelLinking="true"
 				UsePrecompiledHeader="0"
 				WarningLevel="3"
-				Detect64BitPortabilityProblems="TRUE"
-				DebugInformationFormat="3"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
 			<Tool
 				Name="VCLinkerTool"
@@ -105,31 +159,36 @@
 				LinkIncremental="1"
 				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Release;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Release"
-				GenerateDebugInformation="FALSE"
+				GenerateDebugInformation="false"
 				SubSystem="2"
 				OptimizeReferences="2"
 				EnableCOMDATFolding="2"
 				OptimizeForWindows98="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"/>
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
 			<Tool
 				Name="VCPostBuildEventTool"
-				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"
+			/>
 		</Configuration>
 	</Configurations>
@@ -139,19 +198,24 @@
 		<Filter
 			Name="Source Files"
-			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
+			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm"
+			>
 			<File
-				RelativePath="..\src\GameToolsParticleDemo.cpp">
+				RelativePath="..\src\GameToolsParticleDemo.cpp"
+				>
 			</File>
 		</Filter>
 		<Filter
 			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc">
+			Filter="h;hpp;hxx;hm;inl;inc"
+			>
 			<File
-				RelativePath="..\include\GameToolsParticleDemo.h">
+				RelativePath="..\include\GameToolsParticleDemo.h"
+				>
 			</File>
 		</Filter>
 		<Filter
 			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+			>
 		</Filter>
 	</Files>
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h	(revision 1568)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h	(revision 1683)
@@ -66,12 +66,17 @@
 	void createPostproc()
 	{
-		/*CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
+		
+		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
 														"GameTools/Glow");
 		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
-														"GameTools/Glow", true);*/
+														"GameTools/Glow", true);
+
 		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
 														"GameTools/ToneMap");
 		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
-														"GameTools/ToneMap", true);
+														"GameTools/ToneMap", true);		
+
+		
+		
 	}
     
@@ -117,4 +122,5 @@
 		headNode->setPosition(0, 100,0);		
 		headNode->_updateBounds();
+
 		
 
